module Bindings.Bfd.Disasm.I386.Insn where

import Bindings.Bfd.Disasm.I386.Mnemonic
import Bindings.Bfd.Disasm.I386.Operand
import Bindings.Bfd.Disasm.I386.Prefix


data Insn = Insn {
                       length    :: Int
                     , prefix    :: Maybe Prefix
                     , mnemonic  :: Mnemonic
                     , operands  :: [Operand]
            }
          | Extern {
                       symbol    :: String
            }
     deriving (Show)

