module Bindings.Bfd.Disasm.I386.Cell where

import Bindings.Bfd.Disasm.I386.Address
import Bindings.Bfd.Disasm.I386.EffectiveAddr
import Bindings.Bfd.Disasm.I386.Register


data Cell   = Stk Int Int        -- width, offset from rsp
            | Reg Register
            | Flg Char
            | Ind Int (Maybe Register) EffectiveAddr (Maybe Int) (Maybe Address)
     deriving (Show)

{-
checkWidth
   :: Int
   -> [Cell]
   -> [Cell]
checkWidth w cs = map f cs
   where
      f c =
         case width c == w of
            True  -> c
            False -> error $ "Cell.checkWidth: " ++ show w ++ " " ++ show c

width
   :: Cell
   -> Int
width c = error $ "Cell.width: " ++ show c
-}
