-- This file is part of Bindings-bfd.
--
-- Copyright (C) 2010 Michael Nelson
--
-- Bindings-bfd is free software: you can redistribute it and/or modify
-- it under the terms of the GNU Lesser General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- Bindings-bfd is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU Lesser General Public License for more details.

-- You should have received a copy of the GNU Lesser General Public License
-- along with Bindings-bfd.  If not, see <http://www.gnu.org/licenses/>.

module Bindings.Bfd.Section.Flags (
   -- * Types
     Flags(..)
) where


data Flags = NoFlags
           | Alloc
           | Load
           | Reloc
           | Readonly
           | Code
           | Data
           | Rom
           | Constructor
           | HasContents
           | NeverLoad
           | ThreadLocal
           | HasGotRef
           | IsCommon
           | Debugging
           | InMemory
           | Exclude
           | SortEntries
           | LinkOnce
           | LinkDuplicates
           | LinkDuplicatesDiscard
           | LinkDuplicatesOneOnly
           | LinkDuplicatesSameSize
           | LinkerCreated
           | Keep
           | SmallData
           | Merge
           | Strings
           | Group
           | CoffSharedLibrary
           | CoffShared
           | Tic54xBlock
           | Tic54xClink
     deriving (Enum, Eq, Show)

